package com.mortals.xhx.module.company.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.company.model.vo.CompanyPatentVo;
import lombok.Data;
/**
 * 公司专利实体对象
 *
 * @author zxfei
 * @date 2023-09-19
 */
@Data
public class CompanyPatentEntity extends CompanyPatentVo {
    private static final long serialVersionUID = 1L;

    /**
     * 公司Id
     */
    @Excel(name = "公司Id")
    private Long companyId;
    /**
     * 知识产权类型
     */
    private String intellectPropertyType;
    /**
     * 知识产权数量
     */
    private Integer intellectPropertyNum;
    /**
     * 备注
     */
    private String remark;
    /**
     * 公司名称
     */
    private String companyName;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CompanyPatentEntity) {
            CompanyPatentEntity tmp = (CompanyPatentEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.companyId = 0L;
        this.intellectPropertyType = "";
        this.intellectPropertyNum = 0;
        this.remark = "";
        this.companyName = "";
    }
}